#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 indexed-traversable
version:              0.1.3
visibility:           public
id:                   indexed-traversable-0.1.3-YTWcgs5BZp55R54vo1UZ4
key:                  indexed-traversable-0.1.3-YTWcgs5BZp55R54vo1UZ4
license:              BSD-2-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Edward Kmett
synopsis:             FunctorWithIndex, FoldableWithIndex, TraversableWithIndex
description:
    This package provides three useful generalizations:

    @
    class Functor f => FunctorWithIndex i f | f -> i where
    \  imap :: (i -> a -> b) -> f a -> f b
    @

    @
    class Foldable f => FoldableWithIndex i f | f -> i where
    \  ifoldMap :: Monoid m => (i -> a -> m) -> f a -> m
    @

    @
    class (FunctorWithIndex i t, FoldableWithIndex i t, Traversable t) => TraversableWithIndex i t | t -> i where
    \  itraverse :: Applicative f => (i -> a -> f b) -> t a -> f (t b)
    @

    This package contains instances for types in GHC boot libraries.
    For some additional instances see [indexed-traversable-instances](https://hackage.haskell.org/package/indexed-traversable-instances).

    The [keys](https://hackage.haskell.org/package/keys) package provides similar functionality,
    but uses (associated) @TypeFamilies@ instead of @FunctionalDependencies@.

category:             Data
abi:                  4179f142b29dc9a04a0c845710e485cb
exposed:              True
exposed-modules:
    Data.Foldable.WithIndex Data.Foldable1.WithIndex
    Data.Functor.WithIndex Data.Traversable.WithIndex

hidden-modules:       CoerceCompat GhcList WithIndex
import-dirs:          /usr/lib/ghc-9.8.2/site-local/indexed-traversable-0.1.3
library-dirs:         /usr/lib/ghc-9.8.2/site-local/indexed-traversable-0.1.3
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/indexed-traversable-0.1.3
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/indexed-traversable-0.1.3
hs-libraries:         HSindexed-traversable-0.1.3-YTWcgs5BZp55R54vo1UZ4
depends:
    array-0.5.6.0-inplace base-4.19.1.0-inplace
    containers-0.6.8-inplace transformers-0.6.1.0-inplace

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/indexed-traversable-0.1.3/html/indexed-traversable.haddock

haddock-html:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/indexed-traversable-0.1.3/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

